//
// Author: Corey Schram
// Description: Internal utilities used in Node-MVC.
//

// Reimplementation of jQuery's $.extend
exports.extend = function (target, base) {
    for (var name in base) {
        if (base.hasOwnProperty(name)) {
            if (target.hasOwnProperty(name)) {
                if (typeof base[name] === 'object') {
                    exports.extend(target[name], base[name]);
                }
            } else {
                if (typeof base[name] === 'object') {
                    target[name] = {};
                    exports.extend(target[name], base[name]);
                } else {
                    target[name] = base[name];
                }
            }
        }
    }
};